#ifndef __peakmeter_inc__
#define __peakmeter_inc__

class CWavePeak
{
	declare CWavePeak();
	declare _CWavePeak();
	declare Initialize(HWND hwndControl);
	declare Write(WORD *samples, int count);

	declare SetPos(int pos);
	declare Draw(HDC hdcDest, int left, int top);
	declare OnPaint();
	declare OnSize();
	declare OnTimer(WPARAM wParam);

	DWORD   m_hwnd;
	WNDPROC m_wndproc;
	HDC     m_hdcWindow;
	HDC     m_hdc; // full sized peak
	HBITMAP m_hbm;
	SIZE    m_size;
	int     m_pos;
	float   m_peak;
	float   m_peakdelta;
	int     m_range; // 32768
	HBRUSH  m_bkcolor;
	HPEN    m_penPeak;
	int     m_LEDHeight;
	int     m_LEDSpacing;
	int     m_width; // LED width
	BOOL    m_fTimerActive;
}
#endif
